net.sourceforge.pmd.lang.java.ast

## Class AbstractJavaAccessNode

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode

All Implemented Interfaces:
  Node, AccessNode, JavaNode

Direct Known Subclasses:
  AbstractJavaAccessTypeNode, ASTAnnotationMethodDeclaration, ASTConstructorDeclaration, ASTFormalParameter, ASTLocalVariableDeclaration, ASTMethodDeclaration

    public abstract class AbstractJavaAccessNode
    extends AbstractJavaNode
    implements AccessNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Fields inherited from interface net.sourceforge.pmd.lang.java.ast.AccessNode

`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractJavaAccessNode(int i)`
`AbstractJavaAccessNode(JavaParser parser, int i)`

### Method Summary

Methods
`int` `getModifiers()`
`boolean` `isAbstract()`
`boolean` `isFinal()`
`boolean` `isNative()`
`boolean` `isPackagePrivate()`
`boolean` `isPrivate()`
`boolean` `isProtected()`
`boolean` `isPublic()`
`boolean` `isStatic()`
`boolean` `isStrictfp()`
`boolean` `isSynchronized()`
`boolean` `isTransient()`
`boolean` `isVolatile()`
`void` `setAbstract(boolean isAbstract)`
`void` `setFinal(boolean isFinal)`
`void` `setModifiers(int modifiers)`
`void` `setNative(boolean isNative)`
`void` `setPrivate(boolean isPrivate)`
`void` `setProtected(boolean isProtected)`
`void` `setPublic(boolean isPublic)`
`void` `setStatic(boolean isStatic)`
`void` `setStrictfp(boolean isStrictfp)`
`void` `setSynchronized(boolean isSynchronized)`
`void` `setTransient(boolean isTransient)`
`void` `setVolatile(boolean isVolative)`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtAccept, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### AbstractJavaAccessNode

    public AbstractJavaAccessNode(int i)

#### AbstractJavaAccessNode

    public AbstractJavaAccessNode(JavaParser parser,
                          int i)

### Method Detail

#### getModifiers

    public int getModifiers()

Specified by:
  `getModifiers` in interface `AccessNode`

#### setModifiers

    public void setModifiers(int modifiers)

Specified by:
  `setModifiers` in interface `AccessNode`

#### isPublic

    public boolean isPublic()

Specified by:
  `isPublic` in interface `AccessNode`

#### setPublic

    public void setPublic(boolean isPublic)

Specified by:
  `setPublic` in interface `AccessNode`

#### isProtected

    public boolean isProtected()

Specified by:
  `isProtected` in interface `AccessNode`

#### setProtected

    public void setProtected(boolean isProtected)

Specified by:
  `setProtected` in interface `AccessNode`

#### isPrivate

    public boolean isPrivate()

Specified by:
  `isPrivate` in interface `AccessNode`

#### setPrivate

    public void setPrivate(boolean isPrivate)

Specified by:
  `setPrivate` in interface `AccessNode`

#### isAbstract

    public boolean isAbstract()

Specified by:
  `isAbstract` in interface `AccessNode`

#### setAbstract

    public void setAbstract(boolean isAbstract)

Specified by:
  `setAbstract` in interface `AccessNode`

#### isStatic

    public boolean isStatic()

Specified by:
  `isStatic` in interface `AccessNode`

#### setStatic

    public void setStatic(boolean isStatic)

Specified by:
  `setStatic` in interface `AccessNode`

#### isFinal

    public boolean isFinal()

Specified by:
  `isFinal` in interface `AccessNode`

#### setFinal

    public void setFinal(boolean isFinal)

Specified by:
  `setFinal` in interface `AccessNode`

#### isSynchronized

    public boolean isSynchronized()

Specified by:
  `isSynchronized` in interface `AccessNode`

#### setSynchronized

    public void setSynchronized(boolean isSynchronized)

Specified by:
  `setSynchronized` in interface `AccessNode`

#### isNative

    public boolean isNative()

Specified by:
  `isNative` in interface `AccessNode`

#### setNative

    public void setNative(boolean isNative)

Specified by:
  `setNative` in interface `AccessNode`

#### isTransient

    public boolean isTransient()

Specified by:
  `isTransient` in interface `AccessNode`

#### setTransient

    public void setTransient(boolean isTransient)

Specified by:
  `setTransient` in interface `AccessNode`

#### isVolatile

    public boolean isVolatile()

Specified by:
  `isVolatile` in interface `AccessNode`

#### setVolatile

    public void setVolatile(boolean isVolative)

Specified by:
  `setVolatile` in interface `AccessNode`

#### isStrictfp

    public boolean isStrictfp()

Specified by:
  `isStrictfp` in interface `AccessNode`

#### setStrictfp

    public void setStrictfp(boolean isStrictfp)

Specified by:
  `setStrictfp` in interface `AccessNode`

#### isPackagePrivate

    public boolean isPackagePrivate()

Specified by:
  `isPackagePrivate` in interface `AccessNode`